#! /bin/bash
## build.sh 
## compilazione latex, bibtex, ecc.
## restituisce file postscript, pdf
## uso
## build.sh [master-latex-file]
## es: build.sh libro
##

DEFAULTMAIN=guidaDocumentiEstesi
# --------------------------



# LMF: latex master file
if (( "$#" <= 0 )) ; then
   # nessun parametro passato
   THISNAME=`echo $0|rev|cut -d/ -f1|rev`
   grep '##' $THISNAME |cut -c3- 
   # default value for LMF
   LMF=$DEFAULTMAIN
   echo "default name issued: $LMF"
else
   # almeno un parametro passato
   LMF="$1"
   echo "master file: $LMF"
fi


# elimina file temporanei
pu
pu latex


# compilazione latex
latex $LMF
makeindex -s res/indice.ist $LMF.idx
bibtex $LMF
latex $LMF
latex $LMF

echo '--- preparazione file postcript e pdf ---'
# prepara file postcript e pdf
# dvips -Ppdf -G -q -o $LMF.ps $LMF.dvi
dvips -Ppdf -o $LMF.ps $LMF.dvi
#psnup -2 $LMF.ps $LMF.2p.ps
ps2pdf $LMF.ps 
rm $LMF.ps

# cancella file di appoggio creati da latex & c
pu latex
# cancella file temporanei
pu


# prepara zip e pdf da trasferire
DESTF=guidaDocumentiEstesi

cp $LMF.pdf ../$DESTF.pdf

I=`pwd`
cd ..
zip -r guidaDocumentiEstesi.`date +%Y-%m-%d`.zip guidaDocumentiEstesi/
cp  guidaDocumentiEstesi.`date +%Y-%m-%d`.zip guidaDocumentiEstesi.zip 


HOST=`uname -n`
case $HOST in
    "pcbert")
	pwd
	./update-dei.sh 
        cd template
	pwd
	./update-dei.sh
    ;;
    *) 
    # default
    ;;
esac

cd $I
